Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.javadoc
Class ParameterDescription

    java.lang.Object
      org.apache.tapestry5.javadoc.ParameterDescription

    public class ParameterDescription

extends java.lang.Object

Field Summary
`boolean` | `allowNull`
`boolean` | `cache`
`java.lang.String` | `defaultPrefix`
`java.lang.String` | `defaultValue`
`boolean` | `deprecated`
`com.sun.javadoc.FieldDoc` | `field`
`java.lang.String` | `name`
`boolean` | `required`
`java.lang.String` | `since`
`java.lang.String` | `type`

Constructor Summary
`ParameterDescription(com.sun.javadoc.FieldDoc fieldDoc, java.lang.String name, java.lang.String type, java.lang.String defaultValue, java.lang.String defaultPrefix, boolean required, boolean allowNull, boolean cache, java.lang.String since, boolean deprecated)`

Method Summary
`void` | `writeDescription(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field

    public final com.sun.javadoc.FieldDoc field

### name

    public final java.lang.String name

### type

    public final java.lang.String type

### defaultValue

    public final java.lang.String defaultValue

### defaultPrefix

    public final java.lang.String defaultPrefix

### required

    public final boolean required

### allowNull

    public final boolean allowNull

### cache

    public final boolean cache

### since

    public final java.lang.String since

### deprecated

    public final boolean deprecated

Constructor Detail

### ParameterDescription

    public ParameterDescription(com.sun.javadoc.FieldDoc fieldDoc,
                                java.lang.String name,
                                java.lang.String type,
                                java.lang.String defaultValue,
                                java.lang.String defaultPrefix,
                                boolean required,
                                boolean allowNull,
                                boolean cache,
                                java.lang.String since,
                                boolean deprecated)

Method Detail

### writeDescription

    public void writeDescription(java.io.Writer writer)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.